



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>input中v-model和value不能同时调用时解决方案</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">input中v-model和value不能同时调用时解决方案</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-16 14:04:42 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">&lt;input type="text" v-model="keyWord"  value="请输入地名地址"  &gt;</pre>
</div>
<p>当使用如上代码时，样式如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1245775/201804/1245775-20180425093708049-1800419466.png" /></p>
<p>输入框内并没有显示&ldquo;请输入地名地址&rdquo;字样，其原因是：</p>
<p><strong>　　v-model官方给出的说发是：这其实是一个简写的形式，v-model实际执行的是下面的绑定：</strong></p>
<p><strong>　　&lt;input type="text" v-bind:value="dataA" v-on:input="dataA = $event.target.value" /&gt;</strong></p>
<p><strong>　　v-model是动态绑定值到value，然后监听input的inpit事件获取值后赋给dataA的一个过程。</strong></p>
<p>因此默认的value不会显示，仅会在初始化渲染时短暂显示。</p>
<p>当我们要实现<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1245775/201804/1245775-20180425094029274-418461112.png" />这个效果时，需要用到&nbsp;placeholder 。</p>
<p>placeholder 这个属性是<strong>HTML5中新增的属性</strong>，该属性的作用是规定可描述输入字段预期值的简短的提示信息，该提示会在用户输入之前显示在输入字段中，会在用户输入字段后消失，有些浏览器则是获得焦点后该提示便消失（如Safari、IE）。</p>
<div>
<pre class="prettyprint linenums">&lt;input type="text" v-model="keyWord"  placeholder="请输入地名地址"&gt;</pre>
</div>
<p>此时输入框出现字样。若想调整文字颜色，可使用下列代码：</p>
<div>
<pre class="prettyprint linenums">　　input::-webkit-input-placeholder{<br />
            color:red;<br />
        }<br />
    input::-moz-placeholder{   /* Mozilla Firefox 19+ */<br />
            color:red;<br />
        }<br />
    input:-moz-placeholder{    /* Mozilla Firefox 4 to 18 */<br />
            color:red;<br />
        }<br />
    input:-ms-input-placeholder{  /* Internet Explorer 10-11 */<br />
            color:red;<br />
        }</pre>
</div>
<p>针对不同浏览器或不同版本的浏览器会有不同的写法，会添加相应的前缀。</p>
<p>注意：</p>
<p>　　1、WebKit, Blink, Edge浏览器等需要带上-webkit-前缀，且是双冒号，写的时候还要带上input</p>
<p>　　2、针对火狐浏览器则有两种写法，一种是针对低版本的，一种是针对高版本的，二者都需要带上-moz-前缀。要点1：火狐低版本的使用冒号（：），而高版本的使用双冒号（：：）；要点2：火狐浏览器不需要像webkit内核那样要带上input。</p>
<p>　　3、由于placeholder属性只在IE10+才支持，因此，针对IE10、IE11的写法是加上-ms-前缀，使用的是冒号（：），需要带上input</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq410eqz.html">Linux下的磁盘分割和文件系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy1vnjq.html">安装第三方APP好的站点及解除安全与隐私限制</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdkw279.html">关于Windows 7启动后网络一直转的问题的一个解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okn2nx9.html">win10启动文件夹&colon;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x0xw68.html">poj 1797 Heavy Transportation（最短路径Dijkdtra）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e10xde9.html">跨平台 c 开发库 tbox v1&period;6&period;0，支持跨平台协程</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0l5l4q.html">zookeeper作为soa服务器集群的协调调度服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok3xrl9.html">JS中如何定义全局变量</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdw10e8.html">Oracle性能调优&lpar;AWR&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w1e1lq.html">JavaScript Math对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn03m6q.html">FJ省队集训DAY4 T2</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpowe39.html">ffmpeg编译</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z2e4g9.html">Jmeter之Bean shell学习&lpar;一&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1zv2mq.html">先安装VS后安装IIS，注册IIS方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljyk419.html">shell实战之日志备份</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjjwo49.html">南大算法设计与分析课程复习笔记&lpar;3&rpar;L3 - Recursion</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wp5l0q.html">深入浅出Tomcat&sol;2 - Tomcat启动和停止</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwzdzk8.html">Minimum Window Substring LT76</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pgp2jq.html">php&period;ini 常用 配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppjoy79.html">mysql多表查询，group by并将结果导出来csv文件</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8me6vy2q.html">Linux知识积累（5） 关机shutdown和重启reboot</a>
			</li>
						<li><a href="https://www.batexi.com/a/90m00438.html">spring6&mdash;&mdash;AOP的编程术语</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp14nxq.html">POJ-3292 Semi-prime H-numbers---筛素数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd64rk9.html">Typescript学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/950le408.html">JS面向对象之原型链</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kp67p39.html">Linux服务器SSH无法通过DSA证书登录的解决方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2je4pv8.html">数十种TensorFlow实现案例汇集：代码&plus;笔记（转）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zop0ddq.html">webstorm中github的配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojpzj1q.html">0417 jsBom操作&plus;Dom再次整理</a>
			</li>
						<li><a href="https://www.batexi.com/a/90m0z0n8.html">&lbrack;LeetCode&rsqb; Longest Line of Consecutive One in Matrix 矩阵中最长的连续1</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
